###############################################################################
# Objective: Quadratic
# Constraints: Generic
###############################################################################
#
#  Price PhD. Thesis
#   As described in C.J. Price 
#    "Nonlinear Semi-infinite Programming",
#    PhD. Thesis submitted to University of Canterbury,
#    New Zealand, August 1992.
#
#   Problem U
#    Coded by A. Ismael F. Vaz 24/12/1999  aivaz@dps.uminho.pt
#    University of Minho, Portugal
#
#  Adapted for multilocal optimization by A. Ismael F. Vaz 15/04/2004
#
#  This is a regular (finite) maximization problem ...
#
###############################################################################

param nx;
param nt;

param x{1..nx};

var t {j in 1..nt};

maximize ft:
	(x[4]/5)*sin(30*t[1]*sin(x[1])+30*t[2]*cos(x[2]))+
	(x[3]/10)*sin((t[1]*t[2])/10)+t[3]*x[1]+t[4]*x[2]+t[5]*x[3]+t[6]*x[4]-
	4;

subject to bounds {i in 1..nt}:
	-1 <= t[i] <= 1;

data;

param nx := 4;
param nt := 6;

param x :=
	1 1.173288
	2 1.179673
	3 1.142275
	4 0.412150;

option solver mlocpsoa;
solve;

##################
# Solution found #
##################
printf "Solution found\n";
display t;
display ft;
